function OnWarpEnter() 
	SetMarker("cs\\Warp_0030.wp" , 0 , 0)
	SetMarker("cs\\Warp_0028.wp" , 0 , 0) 

	SetMarker("GARLIC",2,0)

	Music_Change = false

	if balcony_open then
		AnimationSetToEnd("cxa1")
		AnimationSetToEnd("cya1")
	else
		AnimationSetToStart("cya1")
		AnimationSetToStart("cxa1")
	end
end

function OnWarpLeave()
	if Music_Change then
		-- Musique
		Music_Change = false
		PlayMusic("Sounds/Musiques/M_Day1.ogg")
	end
end

function OnWarpObjectHit(objectName)

	if objectName == "3D\\cs\\Warp_0030.wp" then 
		ChangeWarp(objectName)
	end

	if objectName == "3D\\cs\\Warp_0028.wp" then 
		Music_Change = true
		ChangeWarp(objectName)
	end

	if objectName=="3D\\GARLIC" then
		if ObjectCount("A_ail") < 3 then
			AddToBag("A_ail")
		else
			DrawText("Ma0207","Ma0207.ogg",0) -- J'en ai suffisamment.
		end
	end
end
